> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Find Available Pickup Options

POST https://your_store.example.com/api/storefront/pickup-options
Content-Type: application/json

Returns up to 10 available pickup options for the requested items around a radius of the provided search coordinates. 

The pickup options returned only include options where all requested items are available and can be picked up from a single location.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/storefront/pickup-options/post-pickup-options

## Request

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a PickupRequestPayload.

- `searchArea` (SearchArea, optional) — Area where you are searching for pickup options.
- `items` (list of Item, optional) — Items you include in your search for pickup options.

## Response

### 200

The request has been successfully processed.

- `results` (list of PickupOptionsResponse, optional)

## Types

### SearchArea

Area where you are searching for pickup options.

- `radius` (SearchAreaRadius, optional) — Radius around the coordinates where you are searching for pickup options.
- `coordinates` (Coordinates, optional) — Coordinates where you are searching for pickup options.

### Item

- `variantId` (integer, optional)
- `quantity` (integer, optional)

### PickupOptionsResponse

- `pickupOptions` (list of PickupOption, optional) — Pickup options for the available items.

### SearchAreaRadius

Radius around the coordinates where you are searching for pickup options.

- `value` (integer, optional)
- `unit` (enum, optional)
  - Allowed values: `KM`, `MI`

### Coordinates

Coordinates where you are searching for pickup options.

- `latitude` (double, optional)
- `longitude` (double, optional)

### PickupOption

- `pickupMethod` (PickupMethod, optional) — Pickup method that can be used with the available items.
- `availableItems` (list of AvailableItem, optional) — Items that are available using the pickup method.

### PickupMethod

Pickup method that can be used with the available items.

- `id` (integer, optional)
- `locationId` (integer, optional)
- `displayName` (string, optional)
- `collectionInstructions` (string, optional)
- `collectionTimeDescription` (string, optional)

### AvailableItem

- `variantId` (integer, optional)
- `quantity` (integer, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "results": [
    {
      "pickupOptions": [
        {
          "pickupMethod": {
            "id": 1,
            "locationId": 2,
            "displayName": "Office Pickup!",
            "collectionInstructions": "Bring your ID!",
            "collectionTimeDescription": "Collect during our opening hours of 0900 - 1700"
          },
          "availableItems": [
            {
              "variantId": 55,
              "quantity": 12
            }
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://your_store.example.com/api/storefront/pickup-options"

payload = {}
headers = {
    "Accept": "application/json",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your_store.example.com/api/storefront/pickup-options';
const options = {
  method: 'POST',
  headers: {Accept: 'application/json', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://your_store.example.com/api/storefront/pickup-options"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your_store.example.com/api/storefront/pickup-options")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://your_store.example.com/api/storefront/pickup-options")
  .header("Accept", "application/json")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your_store.example.com/api/storefront/pickup-options', [
  'body' => '{}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your_store.example.com/api/storefront/pickup-options");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://your_store.example.com/api/storefront/pickup-options")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```